Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.shading.channel
Class FluxChannelMapBuilder

    java.lang.Object
      de.grogra.gpuflux.scene.shading.channel.FluxChannelMapBuilder

All Implemented Interfaces:
  ChannelMapNodeVisitor, ChannelMapVisitor

    public abstract class FluxChannelMapBuilder

extends java.lang.Object
implements ChannelMapNodeVisitor

Constructor Summary
`FluxChannelMapBuilder()`

Method Summary
`protected void` | `addCachedChannelMap(FluxChannelMap fluxCm, ChannelMap channelMapNode, java.lang.Object key)`
`protected void` | `addChannelMap(FluxChannelMap fluxCm, ChannelMap channelMapNode)`
`FluxChannelMap` | `buildChannelMap(ChannelMap channelMap)`
`FluxChannelMap` | `buildChannelMap(ChannelMap channelMap, ColorMap defaultChannel)`
`protected FluxChannelMap` | `getCachedChannelMap(java.lang.Object key)`
`int` | `getChannelCount()`
`java.util.Vector<FluxChannelMap>` | `getChannels()`
`void` | `serialize(ComputeByteBuffer channel_out)`
`void` | `visit(AffineUVTransformation affineUVTransformation)`
`void` | `visit(BumpMap bumpMap)`
`void` | `visit(Carpenter carpenter)`
`void` | `visit(ChannelBlend channelBlend)`
`void` | `visit(ChannelMap channelMap)`
`void` | `visit(ChannelMapNode map)`
`void` | `visit(Checker checker)`
`void` | `visit(Filter filter)`
`void` | `visit(Gradient gradient)`
`void` | `visit(Granite granite)`
`void` | `visit(Graytone graytone)`
`void` | `visit(ImageMap imageMap)`
`void` | `visit(Julia julia)`
`void` | `visit(Laplace3D laplace3d)`
`void` | `visit(Leopard leopard)`
`void` | `visit(Mandel mandel)`
`void` | `visit(RGBColor rgbColor)`
`void` | `visit(Smooth3D smooth3d)`
`void` | `visit(SunSkyLight sunSkyLight)`
`void` | `visit(Turbulence turbulence)`
`void` | `visit(VolumeChecker volumeChecker)`
`void` | `visit(VolumeFunction volumeFunction)`
`void` | `visit(VolumeTurbulence volumeTurbulence)`
`void` | `visit(Wood wood)`
`void` | `visit(XYZTransformation xyzTransformation)`
`protected abstract void` | `warning(java.lang.String warning)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluxChannelMapBuilder

    public FluxChannelMapBuilder()

Method Detail

### addCachedChannelMap

    protected void addCachedChannelMap(FluxChannelMap fluxCm,
                                       ChannelMap channelMapNode,
                                       java.lang.Object key)

### addChannelMap

    protected void addChannelMap(FluxChannelMap fluxCm,
                                 ChannelMap channelMapNode)

### buildChannelMap

    public FluxChannelMap buildChannelMap(ChannelMap channelMap)

### buildChannelMap

    public FluxChannelMap buildChannelMap(ChannelMap channelMap,
                                          ColorMap defaultChannel)

### getCachedChannelMap

    protected FluxChannelMap getCachedChannelMap(java.lang.Object key)

### getChannelCount

    public int getChannelCount()

### getChannels

    public java.util.Vector<FluxChannelMap> getChannels()

### serialize

    public void serialize(ComputeByteBuffer channel_out)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### visit

    public void visit(AffineUVTransformation affineUVTransformation)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(BumpMap bumpMap)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Carpenter carpenter)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(ChannelBlend channelBlend)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(ChannelMap channelMap)

  Specified by:
    `visit` in interface `ChannelMapVisitor`

### visit

    public void visit(ChannelMapNode map)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Checker checker)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Filter filter)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Gradient gradient)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Granite granite)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Graytone graytone)

  Specified by:
    `visit` in interface `ChannelMapVisitor`

### visit

    public void visit(ImageMap imageMap)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Julia julia)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Laplace3D laplace3d)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Leopard leopard)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Mandel mandel)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(RGBColor rgbColor)

  Specified by:
    `visit` in interface `ChannelMapVisitor`

### visit

    public void visit(Smooth3D smooth3d)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(SunSkyLight sunSkyLight)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Turbulence turbulence)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(VolumeChecker volumeChecker)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(VolumeFunction volumeFunction)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(VolumeTurbulence volumeTurbulence)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(Wood wood)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### visit

    public void visit(XYZTransformation xyzTransformation)

  Specified by:
    `visit` in interface `ChannelMapNodeVisitor`

### warning

    protected abstract void warning(java.lang.String warning)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD